{"id":58938,"date":"2023-09-02T09:31:22","date_gmt":"2023-09-02T08:31:22","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=58938"},"modified":"2023-10-16T07:18:04","modified_gmt":"2023-10-16T06:18:04","slug":"create-a-test-suite-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/create-a-test-suite-api\/","title":{"rendered":"Create (Import) a Test Suite API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><span style=\"font-weight: 400;\">To create a conversation test suite by importing the test cases from a given file. This API returns <em><strong>dsId<\/strong><\/em>, the ID to check the import status.<\/span><\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td><span style=\"font-weight: 400;\">POST<\/span><\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/stream\/:streamId\/conversation\/testsuite\/import<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p><span style=\"font-weight: 400;\">See <\/span><a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\"><span style=\"font-weight: 400;\">How to generate the JWT Token<\/span><\/a><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Bot Builder: <\/span><span style=\"font-weight: 400;\">Conversation Tests Management<\/span><\/li>\n<li><span style=\"font-weight: 400;\">Admin Console: <\/span>Conversation Tests Management<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400;\"><b>host<\/b><\/span><\/td>\n<td><span style=\"font-weight: 400;\">Environment URL. For example,<code>https:\/\/bots.kore.ai<\/code><\/span><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>StreamID<\/b><\/td>\n<td><span style=\"font-weight: 400;\">The \u00a0<i>Stream ID<\/i> can be accessed under <b>General Settings<\/b> on the Bot Builder.<\/span><\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre class=\"code-limit-200px\">curl --location --request POST \\     \r\n'https:\/\/{{host}}\/api\/public\/stream\/:streamId\/conversation\/testsuite\/import' \\\r\n      --header 'auth: {jwt-code}' \\\r\n      --header 'bot-language: {language-code}' \\\r\n      --header 'Content-Type: application\/json' \\\r\n      --data-raw '{\r\n          \"fileName\": \"64dxxxxxxxxxxxxxxxxxxxxc\", field(fileId)\r\n          \"name\": \"newtestcase\", \r\n          \"tags\" : [],\r\n          \"description\" : \"\"\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\"><span style=\"font-weight: 400;\">Body Parameters<\/span><\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><strong>fileName<\/strong><\/td>\n<td><span style=\"font-weight: 400;\">File containing the conversation test suite details.<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Required<\/span><\/td>\n<\/tr>\n<tr>\n<td><strong>name<\/strong><\/td>\n<td><span style=\"font-weight: 400;\">TestSuite Name<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Required<\/span><\/td>\n<\/tr>\n<tr>\n<td><strong>tags<\/strong><\/td>\n<td><span style=\"font-weight: 400;\">Conversation test cases tags list.<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<\/tr>\n<tr>\n<td><strong>description<\/strong><\/td>\n<td><span style=\"font-weight: 400;\">Test suite description<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Optional<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre class=\"code-limit-200px\">{\r\n    \"status\": \"IN_PROGRESS\",\r\n    \"dsId\": \"ds-f8xxxxx5-5xxa-5xx4-axx4-48xxxxxxxxx9\" \r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_medium\"><\/div><\/div><\/div><\/div><\/div><\/div><\/section><section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t\r\n\t\t<\/div>\r\n\t<\/div>\r\n<\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To create a conversation test suite by importing the test cases from a given file. This API returns dsId, the ID to check the import status. Method POST Endpoint https:\/\/{{host}}\/api\/public\/stream\/:streamId\/conversation\/testsuite\/import Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Conversation Tests Management Admin Console: Conversation Tests Management...","protected":false},"author":21,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-58938","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58938","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/21"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=58938"}],"version-history":[{"count":6,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58938\/revisions"}],"predecessor-version":[{"id":59759,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/58938\/revisions\/59759"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=58938"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=58938"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=58938"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}